Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface RouteSetMBean

public abstract interface RouteSetMBean
extends Mtp3ManagedObjectMBean

This interface defines the methods of a Routeset Managed Bean (RouteSetMBean). A Routeset defines all of the signalling routes that may be used between an originating point and a destination point by a message traversing the signalling network.

The destination signalling point of this Routeset can be determined from the destination signalling point of any of its contained routes.

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- MTP3_ALARM_RS_START_UNAVAILABILITY
- MTP3_ALARM_RS_END_UNAVAILABILITY

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the MTP3 JAIN OAM MBeans

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `CONG_CONGESTED_LEVEL1`
`static int` | `CONG_CONGESTED_LEVEL2`
`static int` | `CONG_CONGESTED_LEVEL3`
`static int` | `CONG_UNCONGESTED`

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`java.lang.Integer` | `getCongestionLevel()` Gets the Congestion Level of this Routeset.
`ObjectName` | `getRoute(java.lang.Integer index)` Gets the ObjectName of the RouteMBean at the specified position in this RouteSet.
`ObjectName[]` | `getRoutes()` Returns the ObjectNames RouteMBeans in this routeset
`java.lang.Boolean` | `isLoadSharing()` Indicates if this Routeset supports Load Sharing.
`java.lang.Boolean` | `isRoutingAllowed()` Returns whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point of this Routeset (the Adiministrative State).
`java.lang.Boolean` | `isSignallingPointAccessible()` Indicates if the Destination Signalling Point of this Routeset is accessible (the Operational State).
`void` | `setLoadSharing(java.lang.Boolean loadSharing)` Sets whether or not this Routeset supports Load Sharing.
`void` | `setRoute(java.lang.Integer index, ObjectName route)` Sets the route (identified by the specified ObjectName) at the specified position in this routeset.
`void` | `setRoutes(ObjectName[] routes)` Sets the array of Routes (identified by the specified ObjectName) in this routeset.
`void` | `setRoutingAllowed(java.lang.Boolean allowed)` Sets whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point of this Routeset (the Adiministrative State).

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### CONG_UNCONGESTED

    public static final int CONG_UNCONGESTED

### CONG_CONGESTED_LEVEL1

    public static final int CONG_CONGESTED_LEVEL1

### CONG_CONGESTED_LEVEL2

    public static final int CONG_CONGESTED_LEVEL2

### CONG_CONGESTED_LEVEL3

    public static final int CONG_CONGESTED_LEVEL3

Method Detail

### setLoadSharing

    public void setLoadSharing(java.lang.Boolean loadSharing)

  Sets whether or not this Routeset supports Load Sharing.
  Parameters:
    `loadSharing` - either:

    - true enables Load Sharing.
    - false disables Load Sharing

### isLoadSharing

    public java.lang.Boolean isLoadSharing()

  Indicates if this Routeset supports Load Sharing.
  Returns:
    either

    - true if this Routeset supports Load Sharing.
    - false otherwise.

### isSignallingPointAccessible

    public java.lang.Boolean isSignallingPointAccessible()

  Indicates if the Destination Signalling Point of this Routeset is accessible (the Operational State).
  Returns:
    either:

    - true if this Routeset's Destination Signalling Point is accessible (enabled).
    - false otherwise (disabled).

### setRoutingAllowed

    public void setRoutingAllowed(java.lang.Boolean allowed)

  Sets whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point of this Routeset (the Adiministrative State).
  Parameters:
    `allowed` - either:

    - true if routing is permitted (unlocked).
    - false otherwise (locked).

### isRoutingAllowed

    public java.lang.Boolean isRoutingAllowed()

  Returns whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point of this Routeset (the Adiministrative State).
  Returns:
    either:

    - true if routing is permitted (unlocked).
    - false otherwise (locked).

### getCongestionLevel

    public java.lang.Integer getCongestionLevel()

  Gets the Congestion Level of this Routeset. This reflects Routeset congestion. Different vaules are valid depending on the protocol variant supported.

  - For ITU, with international option [Rec. Q.704 3.8.2.1 (a)] valid values are:

    - CONG_UNCONGESTED
    - CONG_CONGESTED_LEVEL1
  - For ITU, with national option [Rec. Q.704 3.8.2.1 (b)] OR for ANSI valid values are:

    - CONG_UNCONGESTED
    - CONG_CONGESTED_LEVEL1
    - CONG_CONGESTED_LEVEL2
    - CONG_CONGESTED_LEVEL3
  Returns:
    either :

    - CONG_UNCONGESTED
    - CONG_CONGESTED_LEVEL1
    - CONG_CONGESTED_LEVEL2
    - CONG_CONGESTED_LEVEL3

### getRoutes

    public ObjectName[] getRoutes()

  Returns the ObjectNames RouteMBeans in this routeset
  Returns:
    an array of the ObjectNames of the RouteMBeans in this routeset

### setRoutes

    public void setRoutes(ObjectName[] routes)
                   throws TooManyInstancesException

  Sets the array of Routes (identified by the specified ObjectName) in this routeset. Each route in this Routeset must have the same Destination Signalling Point.
  Parameters:
    `routes` - the routes to be set for this routeset
  Throws:
    TooManyInstancesException - - if the size of routes is greater than the number of routes permitted in a Routeset by this implementation.

### getRoute

    public ObjectName getRoute(java.lang.Integer index)

  Gets the ObjectName of the RouteMBean at the specified position in this RouteSet.
  Parameters:
    `index` - the index of the element in the array
  Returns:
    the ObjectName of the RouteMBean at the specified position in this RouteSet.

### setRoute

    public void setRoute(java.lang.Integer index,
                         ObjectName route)
                  throws TooManyInstancesException

  Sets the route (identified by the specified ObjectName) at the specified position in this routeset. The route to be set must have the same Destination Signalling Point as this routeset.
  Parameters:
    `index` - the index of the element in the array
    `route` - the ObjectName of the route to be set for this routeset
  Throws:
    TooManyInstancesException - - if index is greater than the number of Routes permitted in a Routeset by this implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems